Grouping of Boolean field in Query: group not displayed for "No" value if the group is in first position

2015-01-19 08:30 - kaz k

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Custom fields Estimated time: 0.00 hour

Target version: 2.6.2   

Resolution: Fixed Affected version: 2.5.0

Description

When I submit the query with "Group results by" the boolean field which is defined as "required" , collapse/expand indicator line for

"No" is not displayed.

Tickets are distinguished into 2 groups, one for "No" and the other for "Yes". OK.

But collapse/expand indicator line for "No" is not displayed. It should be displayed, I think.

On the other hand, collapse/expand indicator line for "Yes" is displayed. OK.

I'd appreciate if this issue is picked up and will be examined/fixed.

Kind regards,

Reported version

Redmine 2.5.0.stable.

Details are as follows.

1. Test redmine (Windows7)

Environment:

  Redmine version                2.5.0.stable

  Ruby version                   1.9.3-p231 (2012-05-25) [i386-mingw32]

  Rails version                  3.2.17

  Environment                    production

  Database adapter               Mysql2

2. Production redmine (Linux)

Environment:

  Redmine version                2.5.0.stable

  Ruby version                   1.9.3-p484 (2013-11-22) [x86_64-linux]

  Rails version                  3.2.17

  Environment                    production

  Database adapter               PostgreSQL

Note: This phenomena does not happen with a boolean field which is not defined as "required". In this case, 3 collapse/expand

indicator lines are displayed (with misleading labels ( see #18894 ) when this ticket is created).

Associated revisions

Revision 13922 - 2015-01-19 22:36 - Jean-Philippe Lang

Fixed that group is not displayed when the first group is a boolean custom field group with "No" value (#18896).

Revision 14021 - 2015-02-18 12:34 - Jean-Philippe Lang

Merged r13922 (#18896).
https://www.redmine.org/issues/18894


History

#1 - 2015-01-19 08:36 - kaz k

- File 03_English_QueryResult_GroupedByBoolean(required)_NoIsGroupedWithoutCollapse-Expand-Indicatorline.jpg added

Screen capture

Here is a screen capture of query-result grouped by boolean field.

In the picture, Boolean2required is a boolean filed with "required" specification.

You could see 2 groups of tickets, one for "No" and the other is "Yes".

But "No" tickets do not have collapse/expand indicator line of "No" at the top of the tickets. "Yes" tickets have one for "Yes".

#2 - 2015-01-19 08:47 - Toshi MARUYAMA

- File 2.6.1.png added

- Status changed from New to Needs feedback

I cannot reproduce on 2.6.1.

 2.6.1.png 

#3 - 2015-01-19 09:01 - kaz k

Toshi MARUYAMA wrote:

I cannot reproduce on 2.6.1.

 Thank you for your quick reply.

According to the picture attached, it seems the boolean field has an attribute of "Not REQUIRED" because the list is grouped in 3 groups, 2 of "none"

and 1 of "Yes".

As I write in the description, the phenomena happens if the boolean fields is defined as "Required", ie. Values are only 2 variations of "Yes" and "No".

#4 - 2015-01-19 10:50 - Toshi MARUYAMA

- File 2.6.1-confirmed.png added

- Status changed from Needs feedback to Confirmed

- Target version set to 2.6.2

Confirmed.

 2.6.1-confirmed.png 

#5 - 2015-01-19 10:52 - kaz k

Toshi MARUYAMA wrote:

Confirmed.

 Thank you.

#6 - 2015-01-19 22:38 - Jean-Philippe Lang

- Subject changed from Grouping of Boolean field in Query: collapse/expand indicator line is not displayed for "No" value. to Grouping of Boolean field

in Query: group not displayed for "No" value if the group is in first position

- Status changed from Confirmed to Resolved

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Fixed in r13922, thanks for pointing this out.

#7 - 2015-02-18 12:34 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Files

03_English_QueryResult_GroupedByBoolean(required)_NoIsGroupedWithoutCollapse-Expand-Indicatorline.jpg105 KB 2015-01-19 kaz k
